Debian Bug report logs - #334235
visualboyadvance: FTBFS: g++ needs lots of RAM.

version graph

Package: visualboyadvance; Maintainer for visualboyadvance is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for visualboyadvance is src:visualboyadvance.

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sun, 16 Oct 2005 14:03:10 UTC

Severity: serious

Tags: help

Found in versions visualboyadvance/1.7.2-3, visualboyadvance/1.7.2-4

Fixed in version visualboyadvance/1.7.2-6

Done: Jose Carlos Medeiros <debian@psabs.com.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#334235; Package visualboyadvance. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: visualboyadvance: FTBFS: g++ needs lots of RAM.
Date: Sun, 16 Oct 2005 16:00:45 +0200
Package: visualboyadvance
Version: 1.7.2-3
Severity: serious

Hi,

Your package is failing to build on some arches because g++ seems
to need lots of RAM.  On arm and mipsel it failed with a message
like:
cc1plus: out of memory allocating 616522820 bytes after a total of 47400632 byt es
make[3]: *** [GBA.o] Error 1

While on amd64, it gets OOM killed (after using more than 1 GB of
RAM) and you get:
g++: Internal error: Killed (program cc1plus)


Kurt




Merged 334235 334727. Request was from Jose Carlos Medeiros <jcnascimento@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from Jose Carlos Medeiros <jcnascimento@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Disconnected #334235 from all other report(s). Request was from Jose Carlos Medeiros <jcnascimento@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Jose Carlos Medeiros <debian@psabs.com.br>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 334235-close@bugs.debian.org (full text, mbox):

From: Jose Carlos Medeiros <debian@psabs.com.br>
To: 334235-close@bugs.debian.org
Subject: Bug#334235: fixed in visualboyadvance 1.7.2-5
Date: Tue, 07 Feb 2006 22:02:22 -0800
Source: visualboyadvance
Source-Version: 1.7.2-5

We believe that the bug you reported is fixed in the latest version of
visualboyadvance, which is due to be installed in the Debian FTP archive:

visualboyadvance_1.7.2-5.diff.gz
  to pool/main/v/visualboyadvance/visualboyadvance_1.7.2-5.diff.gz
visualboyadvance_1.7.2-5.dsc
  to pool/main/v/visualboyadvance/visualboyadvance_1.7.2-5.dsc
visualboyadvance_1.7.2-5_i386.deb
  to pool/main/v/visualboyadvance/visualboyadvance_1.7.2-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 334235@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jose Carlos Medeiros <debian@psabs.com.br> (supplier of updated visualboyadvance package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  3 Feb 2006 16:55:52 -0200
Source: visualboyadvance
Binary: visualboyadvance
Architecture: source i386
Version: 1.7.2-5
Distribution: unstable
Urgency: low
Maintainer: Jose Carlos Medeiros <debian@psabs.com.br>
Changed-By: Jose Carlos Medeiros <debian@psabs.com.br>
Description: 
 visualboyadvance - a full featured Game Boy Advance emulator
Closes: 334235 343223
Changes: 
 visualboyadvance (1.7.2-5) unstable; urgency=low
 .
   * Added Swedish po translation, thanks to Daniel Nylander
     <yeager@lidkoping.net>. (closes: #343223)
   * Added g++-3.3 as build-depends, and updated rules to compile with
     g++-3.3.(closes: #334235)
Files: 
 3ee7e8dedde4373da3a0026943e681cc 830 games extra visualboyadvance_1.7.2-5.dsc
 83252f581cade7783dbe1183480d9167 41849 games extra visualboyadvance_1.7.2-5.diff.gz
 1e649aac01ffc36eff039e255bc06c60 616996 games extra visualboyadvance_1.7.2-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFD6Ya6GKGxzw/lPdkRAiKAAJ0dxp4D42MSHwEIqD/DCt0PwBCVdwCfesOX
6WabjTgC/Zd2k0RzSCK56vA=
=Tl1Z
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Medeiros <debian@psabs.com.br>:
Bug#334235; Package visualboyadvance. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Medeiros <debian@psabs.com.br>. Full text and rfc822 format available.

Message #21 received at 334235@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jose Carlos Medeiros <debian@psabs.com.br>
Cc: 334235@bugs.debian.org
Subject: Re: Bug#334235: fixed in visualboyadvance 1.7.2-5
Date: Tue, 7 Feb 2006 22:33:45 -0800
[Message part 1 (text/plain, inline)]
reopen 334235
thanks

On Tue, Feb 07, 2006 at 10:02:22PM -0800, Jose Carlos Medeiros wrote:
>  visualboyadvance (1.7.2-5) unstable; urgency=low
>  .
>    * Added Swedish po translation, thanks to Daniel Nylander
>      <yeager@lidkoping.net>. (closes: #343223)
>    * Added g++-3.3 as build-depends, and updated rules to compile with
>      g++-3.3.(closes: #334235)

Er, this isn't really an option for etch.  The gcc maintainer is planning to
remove g++-3.3 soon.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Medeiros <debian@psabs.com.br>:
Bug#334235; Package visualboyadvance. Full text and rfc822 format available.

Acknowledgement sent to Jose Carlos Medeiros <jcnascimento@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Medeiros <debian@psabs.com.br>. Full text and rfc822 format available.

Message #28 received at 334235@bugs.debian.org (full text, mbox):

From: Jose Carlos Medeiros <jcnascimento@gmail.com>
To: Steve Langasek <vorlon@debian.org>
Cc: Jose Carlos Medeiros <debian@psabs.com.br>, 334235@bugs.debian.org
Subject: Re: Bug#334235: fixed in visualboyadvance 1.7.2-5
Date: Wed, 8 Feb 2006 04:51:02 -0200
Hi, Steve

Well,  probably this bug will be solved in another release of G++.
I opened a bug against G++ , but didnt received any solution. I think
this problem is a ABI C++ problem.
Its impossible compile VBA against G++-3.4 or G++4.0

Regards,
Jose Carlos


2006/2/8, Steve Langasek <vorlon@debian.org>:
> reopen 334235
> thanks
>
> On Tue, Feb 07, 2006 at 10:02:22PM -0800, Jose Carlos Medeiros wrote:
> >  visualboyadvance (1.7.2-5) unstable; urgency=low
> >  .
> >    * Added Swedish po translation, thanks to Daniel Nylander
> >      <yeager@lidkoping.net>. (closes: #343223)
> >    * Added g++-3.3 as build-depends, and updated rules to compile with
> >      g++-3.3.(closes: #334235)
>
> Er, this isn't really an option for etch.  The gcc maintainer is planning to
> remove g++-3.3 soon.
>
> --
> Steve Langasek                   Give me a lever long enough and a Free OS
> Debian Developer                   to set it on, and I can move the world.
> vorlon@debian.org                                   http://www.debian.org/
>
>



Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Medeiros <debian@psabs.com.br>:
Bug#334235; Package visualboyadvance. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Medeiros <debian@psabs.com.br>. Full text and rfc822 format available.

Message #33 received at 334235@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jose Carlos Medeiros <jcnascimento@gmail.com>
Cc: Jose Carlos Medeiros <debian@psabs.com.br>, 334235@bugs.debian.org
Subject: Re: Bug#334235: fixed in visualboyadvance 1.7.2-5
Date: Wed, 8 Feb 2006 00:44:36 -0800
[Message part 1 (text/plain, inline)]
On Wed, Feb 08, 2006 at 04:51:02AM -0200, Jose Carlos Medeiros wrote:

> Well,  probably this bug will be solved in another release of G++.
> I opened a bug against G++ , but didnt received any solution.

Ah, I didn't notice that this bug was about memory usage in g++; I assumed
it was a C++ standards bug, like so many others.  Still, this seems to be
the only package in all the archive that has such a problem, and the only
package which build-depends on g++-3.3; could this bug be addressed by
making changes to the VBA source as a workaround?

> I think this problem is a ABI C++ problem.
> Its impossible compile VBA against G++-3.4 or G++4.0

Er, I don't understand what you mean by an "ABI C++ problem".  Certainly,
having looked at the package now, I don't see how it *can* compile
successfully via g++-3.3 with a build-dependency on libgtkmm-2.4-dev and
libglademm-2.4-dev, since these packages are built for the g++-4.0 ABI now.

Actually, it does fail to build on alpha, ia64, and powerpc...

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Medeiros <debian@psabs.com.br>:
Bug#334235; Package visualboyadvance. Full text and rfc822 format available.

Acknowledgement sent to Jose Carlos Medeiros <jcnascimento@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Medeiros <debian@psabs.com.br>. Full text and rfc822 format available.

Message #38 received at 334235@bugs.debian.org (full text, mbox):

From: Jose Carlos Medeiros <jcnascimento@gmail.com>
To: Steve Langasek <vorlon@debian.org>
Cc: 334235@bugs.debian.org
Subject: Re: Bug#334235: fixed in visualboyadvance 1.7.2-5
Date: Fri, 10 Feb 2006 18:21:05 -0200
Hi, Steve

> Ah, I didn't notice that this bug was about memory usage in g++; I assumed
> it was a C++ standards bug, like so many others.  Still, this seems to be
> the only package in all the archive that has such a problem, and the only
> package which build-depends on g++-3.3; could this bug be addressed by
> making changes to the VBA source as a workaround?
I tried to contact upstreamer,  but nobody anwser me :(
last release of VBA is dated  "2004-05-22".
Maybe this project was dead.


> Er, I don't understand what you mean by an "ABI C++ problem".  Certainly,
> having looked at the package now, I don't see how it *can* compile
> successfully via g++-3.3 with a build-dependency on libgtkmm-2.4-dev and
> libglademm-2.4-dev, since these packages are built for the g++-4.0 ABI now.
libgtkmm-2.4-dev and  libglademm-2.4-dev,  are just used to link with
GTK frontend.
The file that not compile is a doesnt use these libs.

When I tried to compile VBA with g++3.4 or g++4.0 , g++ consume all my
memory and swap ..   I dont receive error,,   then its difficult
debug,,  Maybe g++ group can do it.

Well,   Popcon  tell  that  61  person use or installed VBA,  I think
this is few person.  and maybe we can put off VBA from Etch, as VBA is
the last package that need g++3.0.

What do you think ?

Regards,
Jose Carlos




>
> Actually, it does fail to build on alpha, ia64, and powerpc...
>
> Cheers,
> --
> Steve Langasek                   Give me a lever long enough and a Free OS
> Debian Developer                   to set it on, and I can move the world.
> vorlon@debian.org                                   http://www.debian.org/
>
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.1 (GNU/Linux)
>
> iD8DBQFD6a90KN6ufymYLloRAlODAKCtzSBdpRsBQyWzm2OlWUefXGIysACgyAda
> VrEoeOmOCzUvbZt8EcSNSoU=
> =EpYY
> -----END PGP SIGNATURE-----
>
>
>



Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Medeiros <debian@psabs.com.br>:
Bug#334235; Package visualboyadvance. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Medeiros <debian@psabs.com.br>. Full text and rfc822 format available.

Message #43 received at 334235@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Jose Carlos Medeiros <jcnascimento@gmail.com>, 334235@bugs.debian.org
Subject: Re: Bug#334235: fixed in visualboyadvance 1.7.2-5
Date: Fri, 10 Feb 2006 13:51:52 -0800
[Message part 1 (text/plain, inline)]
On Fri, Feb 10, 2006 at 06:21:05PM -0200, Jose Carlos Medeiros wrote:

> > Ah, I didn't notice that this bug was about memory usage in g++; I assumed
> > it was a C++ standards bug, like so many others.  Still, this seems to be
> > the only package in all the archive that has such a problem, and the only
> > package which build-depends on g++-3.3; could this bug be addressed by
> > making changes to the VBA source as a workaround?
> I tried to contact upstreamer,  but nobody anwser me :(
> last release of VBA is dated  "2004-05-22".
> Maybe this project was dead.

Well, if no one has updated it to work with g++4 yet, it seems effectively
dead, yes.

> > Er, I don't understand what you mean by an "ABI C++ problem".  Certainly,
> > having looked at the package now, I don't see how it *can* compile
> > successfully via g++-3.3 with a build-dependency on libgtkmm-2.4-dev and
> > libglademm-2.4-dev, since these packages are built for the g++-4.0 ABI now.
> libgtkmm-2.4-dev and  libglademm-2.4-dev,  are just used to link with
> GTK frontend.
> The file that not compile is a doesnt use these libs.

So you would build the GTK frontend with g++, even if using an older
compiler for the main program?  I guess that's ok, if there's an older
compiler to use.

> When I tried to compile VBA with g++3.4 or g++4.0 , g++ consume all my
> memory and swap ..   I dont receive error,,   then its difficult
> debug,,  Maybe g++ group can do it.

> Well,   Popcon  tell  that  61  person use or installed VBA,  I think
> this is few person.  and maybe we can put off VBA from Etch, as VBA is
> the last package that need g++3.0.

> What do you think ?

I think that if VBA isn't fixed to use g++3.4 or g++4.0, this is the likely
outcome.  I don't think Matthias is going to want to maintain g++3.3 in etch
for the benefit of a single package.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from "Jose Carlos Medeiros" <jcnascimento@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Jose Carlos Medeiros <debian@psabs.com.br>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #50 received at 334235-close@bugs.debian.org (full text, mbox):

From: Jose Carlos Medeiros <debian@psabs.com.br>
To: 334235-close@bugs.debian.org
Subject: Bug#334235: fixed in visualboyadvance 1.7.2-6
Date: Thu, 16 Mar 2006 10:02:24 -0800
Source: visualboyadvance
Source-Version: 1.7.2-6

We believe that the bug you reported is fixed in the latest version of
visualboyadvance, which is due to be installed in the Debian FTP archive:

visualboyadvance_1.7.2-6.diff.gz
  to pool/main/v/visualboyadvance/visualboyadvance_1.7.2-6.diff.gz
visualboyadvance_1.7.2-6.dsc
  to pool/main/v/visualboyadvance/visualboyadvance_1.7.2-6.dsc
visualboyadvance_1.7.2-6_i386.deb
  to pool/main/v/visualboyadvance/visualboyadvance_1.7.2-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 334235@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jose Carlos Medeiros <debian@psabs.com.br> (supplier of updated visualboyadvance package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 13 Mar 2006 18:17:00 -0300
Source: visualboyadvance
Binary: visualboyadvance
Architecture: source i386
Version: 1.7.2-6
Distribution: unstable
Urgency: low
Maintainer: Jose Carlos Medeiros <debian@psabs.com.br>
Changed-By: Jose Carlos Medeiros <debian@psabs.com.br>
Description: 
 visualboyadvance - a full featured Game Boy Advance emulator
Closes: 260031 334235
Changes: 
 visualboyadvance (1.7.2-6) unstable; urgency=low
 .
   * Changed C/C++ Optmization to 0 (-O0)., now VBA compiles with >= g++4.0. (closes: #334235)
   * Changed build-depends and rules to make VBA build with  >= g++4.0.
   * Added autotools-dev as build-dependence.
   * Removed unused debian/post{inst|rm} files.
   * Enable Console Output (-DBKPT_SUPPORT), added
     04_fix_gtk_with_DBKPT_SUPPORT patch. (closes: #260031)
   * Removed debian/compat and set DH_COMPAT var in debian/rules.
   * Updated to DH_COMPAT=5
   * Added Brazilian Portuguese po translation. Thanks to Jose Carlos Medeiros
     <jose@psabs.com.br>
Files: 
 4dbd313d8ca045c5a4d540cd5cb1ec42 830 games extra visualboyadvance_1.7.2-6.dsc
 ed67056f5a0bea7a3e7963124c77d829 98735 games extra visualboyadvance_1.7.2-6.diff.gz
 5945271f4f8cce560dd5c5efd0aa7120 598250 games extra visualboyadvance_1.7.2-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFEGaU1GKGxzw/lPdkRAkazAKCovkiaCHZOFm++stzj6dNZpTmLIgCdE6XT
wsC0BHqo2Jj+gsAE+N4Agss=
=qsFB
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 04:59:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:42:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.